Back to Exposed

Package-level declarations

docs/api/exposed-java-time/org.jetbrains.exposed.v1.javatime/index.html

1.2.027.5 KB
Original Source

Package-level declarations

TypesFunctions

Types

CurrentDate

Link copied to clipboard

object CurrentDate : Function<LocalDate>

Represents an SQL function that returns the current date, as LocalDate.

CurrentDateTime

Link copied to clipboard

object CurrentDateTime : CurrentTimestampBase<LocalDateTime>

Represents an SQL function that returns the current date and time, as LocalDateTime.

CurrentTimestamp

Link copied to clipboard

object CurrentTimestamp : CurrentTimestampBase<Instant>

Represents an SQL function that returns the current date and time, as Instant.

CurrentTimestampBase

Link copied to clipboard

sealed class CurrentTimestampBase<T> : Function<T>

Represents the base SQL function that returns the current date and time, as determined by the specified columnType.

CurrentTimestampWithTimeZone

Link copied to clipboard

object CurrentTimestampWithTimeZone : CurrentTimestampBase<OffsetDateTime>

Represents an SQL function that returns the current date and time with time zone, as OffsetDateTime.

Date

Link copied to clipboard

class Date<T : Temporal?>(val expr: Expression<T>) : Function<LocalDate>

Represents an SQL function that extracts the date part from a given temporal expr.

Day

Link copied to clipboard

class Day<T : Temporal?>(val expr: Expression<T>) : Function<Int>

Represents an SQL function that extracts the day field from a given temporal expr.

Hour

Link copied to clipboard

class Hour<T : Temporal?>(val expr: Expression<T>) : Function<Int>

Represents an SQL function that extracts the hour field from a given temporal expr.

JavaDurationColumnType

Link copied to clipboard

class JavaDurationColumnType : DurationColumnType<Duration>

Column for storing time-based amounts of time, as Duration.

JavaInstantColumnType

Link copied to clipboard

class JavaInstantColumnType : InstantColumnType<Instant>

Column for storing dates and times without time zone, as Instant.

JavaLocalDateColumnType

Link copied to clipboard

class JavaLocalDateColumnType : LocalDateColumnType<LocalDate>

Column for storing dates, as LocalDate.

JavaLocalDateTimeColumnType

Link copied to clipboard

class JavaLocalDateTimeColumnType : LocalDateTimeColumnType<LocalDateTime>

Column for storing dates and times without time zone, as LocalDateTime.

JavaLocalTimeColumnType

Link copied to clipboard

class JavaLocalTimeColumnType : LocalTimeColumnType<LocalTime>

Column for storing times, as LocalTime.

JavaOffsetDateTimeColumnType

Link copied to clipboard

class JavaOffsetDateTimeColumnType : OffsetDateTimeColumnType<OffsetDateTime>

Column for storing dates and times with time zone, as OffsetDateTime.

Minute

Link copied to clipboard

class Minute<T : Temporal?>(val expr: Expression<T>) : Function<Int>

Represents an SQL function that extracts the minute field from a given temporal expr.

Month

Link copied to clipboard

class Month<T : Temporal?>(val expr: Expression<T>) : Function<Int>

Represents an SQL function that extracts the month field from a given temporal expr.

Second

Link copied to clipboard

class Second<T : Temporal?>(val expr: Expression<T>) : Function<Int>

Represents an SQL function that extracts the second field from a given temporal expr.

Time

Link copied to clipboard

class Time<T : Temporal?>(val expr: Expression<T>) : Function<LocalTime>

Represents an SQL function that extracts the time part from a given temporal expr.

Year

Link copied to clipboard

class Year<T : Temporal?>(val expr: Expression<T>) : Function<Int>

Represents an SQL function that extracts the year field from a given temporal expr.

Functions

CustomDateFunction

Link copied to clipboard

fun CustomDateFunction(functionName: String, vararg params: Expression<*>): CustomFunction<LocalDate?>

Calls a custom SQL function with the specified functionName, that returns a date only, and passing params as its arguments.

CustomDateTimeFunction

Link copied to clipboard

fun CustomDateTimeFunction(functionName: String, vararg params: Expression<*>): CustomFunction<LocalDateTime?>

Calls a custom SQL function with the specified functionName, that returns both a date and a time, and passing params as its arguments.

CustomDurationFunction

Link copied to clipboard

fun CustomDurationFunction(functionName: String, vararg params: Expression<*>): CustomFunction<Duration?>

Calls a custom SQL function with the specified functionName, that returns a duration, and passing params as its arguments.

CustomTimeFunction

Link copied to clipboard

fun CustomTimeFunction(functionName: String, vararg params: Expression<*>): CustomFunction<LocalTime?>

Calls a custom SQL function with the specified functionName, that returns a time only, and passing params as its arguments.

CustomTimeStampFunction

Link copied to clipboard

fun CustomTimeStampFunction(functionName: String, vararg params: Expression<*>): CustomFunction<Instant?>

Calls a custom SQL function with the specified functionName, that returns a timestamp, and passing params as its arguments.

CustomTimestampWithTimeZoneFunction

Link copied to clipboard

fun CustomTimestampWithTimeZoneFunction(functionName: String, vararg params: Expression<*>): CustomFunction<OffsetDateTime?>

Calls a custom SQL function with the specified functionName, that returns both a date and a time with time zone, and passing params as its arguments.

date

Link copied to clipboard

fun <T : Temporal?> Expression<T>.date(): Date<T>

Returns the date from this temporal expression.

fun Table.date(name: String): Column<LocalDate>

A date column to store a date.

dateLiteral

Link copied to clipboard

fun dateLiteral(value: LocalDate): LiteralOp<LocalDate>

Returns the specified value as a date literal.

dateParam

Link copied to clipboard

fun dateParam(value: LocalDate): Expression<LocalDate>

Returns the specified value as a date query parameter.

datetime

Link copied to clipboard

fun Table.datetime(name: String): Column<LocalDateTime>

A datetime column to store both a date and a time without time zone.

dateTimeLiteral

Link copied to clipboard

fun dateTimeLiteral(value: LocalDateTime): LiteralOp<LocalDateTime>

Returns the specified value as a date with time literal.

dateTimeParam

Link copied to clipboard

fun dateTimeParam(value: LocalDateTime): Expression<LocalDateTime>

Returns the specified value as a date with time query parameter.

day

Link copied to clipboard

fun <T : Temporal?> Expression<T>.day(): Day<T>

Returns the day from this temporal expression, as an integer between 1 and 31 inclusive.

duration

Link copied to clipboard

fun Table.duration(name: String): Column<Duration>

A date column to store a duration.

durationLiteral

Link copied to clipboard

fun durationLiteral(value: Duration): LiteralOp<Duration>

Returns the specified value as a duration literal.

durationParam

Link copied to clipboard

fun durationParam(value: Duration): Expression<Duration>

Returns the specified value as a duration query parameter.

hour

Link copied to clipboard

fun <T : Temporal?> Expression<T>.hour(): Hour<T>

Returns the hour from this temporal expression, as an integer between 0 and 23 inclusive.

minute

Link copied to clipboard

fun <T : Temporal?> Expression<T>.minute(): Minute<T>

Returns the minute from this temporal expression, as an integer between 0 and 59 inclusive.

month

Link copied to clipboard

fun <T : Temporal?> Expression<T>.month(): Month<T>

Returns the month from this temporal expression, as an integer between 1 and 12 inclusive.

second

Link copied to clipboard

fun <T : Temporal?> Expression<T>.second(): Second<T>

Returns the second from this temporal expression, as an integer between 0 and 59 inclusive.

time

Link copied to clipboard

fun <T : Temporal?> Expression<T>.time(): Time<T>

Returns the time from this temporal expression.

fun Table.time(name: String): Column<LocalTime>

A time column to store a time.

timeLiteral

Link copied to clipboard

fun timeLiteral(value: LocalTime): LiteralOp<LocalTime>

Returns the specified value as a time literal.

timeParam

Link copied to clipboard

fun timeParam(value: LocalTime): Expression<LocalTime>

Returns the specified value as a time query parameter.

timestamp

Link copied to clipboard

fun Table.timestamp(name: String): Column<Instant>

A timestamp column to store both a date and a time without time zone.

timestampLiteral

Link copied to clipboard

fun timestampLiteral(value: Instant): LiteralOp<Instant>

Returns the specified value as a timestamp literal.

timestampParam

Link copied to clipboard

fun timestampParam(value: Instant): Expression<Instant>

Returns the specified value as a timestamp query parameter.

timestampWithTimeZone

Link copied to clipboard

fun Table.timestampWithTimeZone(name: String): Column<OffsetDateTime>

A timestamp column to store both a date and a time with time zone.

timestampWithTimeZoneLiteral

Link copied to clipboard

fun timestampWithTimeZoneLiteral(value: OffsetDateTime): LiteralOp<OffsetDateTime>

Returns the specified value as a date with time and time zone literal.

timestampWithTimeZoneParam

Link copied to clipboard

fun timestampWithTimeZoneParam(value: OffsetDateTime): Expression<OffsetDateTime>

Returns the specified value as a date with time and time zone query parameter.

year

Link copied to clipboard

fun <T : Temporal?> Expression<T>.year(): Year<T>

Returns the year from this datetime expression, as an integer.

Generated by Dokka © 2026 Copyright